> For the complete documentation index, see [llms.txt](https://docs.complycube.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.complycube.com/documentation/api-reference/other-resources/reports.md).

# Reports

A **report** object contains a PDF snapshot of a client or check at the time of generation. Use reports to retain KYC, AML, and identity verification records for audits, compliance reviews, and secure record-keeping.

The API allows you to create a report.

### The Report object

<table><thead><tr><th width="199">Attribute</th><th width="95">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>contentType</code></td><td>string</td><td>The content-type of the file. This will always be set to <code>application/pdf</code>.</td></tr><tr><td><code>data</code></td><td>string</td><td>The <code>BASE64</code> encoded file data.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.complycube.com/documentation/api-reference/other-resources/reports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
